Subject: RE: bug#28338: 25.2; Default fonts for Info

From: Drew Adams <[email-masked]>
Date: Sun, 3 Sep 2017 11:16:10 -0700 (PDT)

> > My suggestion is _not_ to use exactly the same face as the
> > default face - I've made that quite clear.  My suggestion
> > is to not use a different font.  Using a different color
> > (whatever color) is a reasonable alternative.
> 
> I don't like this suggestion, for at least two reasons: Info is
> supposed to present a book-like appearance, 

Who said that Info is supposed to do that?

> thus no colors.

What makes you think that books do not use color,
including for some text?

You seem to be grasping for some (non-existent)
hardline style rule to just dismiss this suggestion.

> And some people actively dislike colors.

Names? ;-)  More seriously, some people also dislike
the fact that by default Emacs does not use color.
And of course Emacs sometimes does use color by default
(e.g. font-locked modes).

That argument seems pretty vacuous.  Some people
actively dislike lots of things.

And that was the same argument given against the
long-ago suggestion to fontify quoted Info names.
You've finally gone with, not against, that idea,
but using the wrong way to make the text stand out.

> In any case, the current situation is quite good, 

It was "quite good" before this change also.  That
doesn't mean much.

What makes you think that the change made was for
the better?

> so I see no reason to change it, especially not
> so close to the last change we made there.

Right, and when it is _less_ close you will argue that
it has been the way it is for a while and that "that
ship has sailed."  Been there - seen this movie before.
Catch 22.

Now is a good time to fix this, not a bad time.